Package org.apache.nutch.parsefilter.naivebayes

## Class Train

- java.lang.Object
- - org.apache.nutch.parsefilter.naivebayes.Train

-     public class Train
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Train()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `flattenHashMap​(HashMap<String,​Integer> dict)` |
    `static String` | `replacefirstoccuranceof​(String tomatch, String line)` |
    `static void` | `start​(String filepath)` |
    `static void` | `updateHashMap​(HashMap<String,​Integer> dict, String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Train

          public Train()

  - ### Method Detail

    - #### replacefirstoccuranceof

          public static String replacefirstoccuranceof​(String tomatch,
                                                       String line)

    - #### updateHashMap

          public static void updateHashMap​(HashMap<String,​Integer> dict,
                                           String key)

    - #### flattenHashMap

          public static String flattenHashMap​(HashMap<String,​Integer> dict)

    - #### start

          public static void start​(String filepath)
                            throws IOException

      Throws:
        `IOException`